GNU Radio C++ API Reference: gr::digital::adaptive_algorithm Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::digital::adaptive_algorithm Class Referenceabstract

`#include <gnuradio/digital/adaptive_algorithm.h>`

## Public Member Functions
virtual | ~adaptive_algorithm ()
| adaptive_algorithm (adaptive_algorithm_t alg_type, constellation_sptr cons)
adaptive_algorithm_sptr | base ()
virtual void | initialize_taps (std::vector< gr_complex > &taps)
virtual gr_complex | error_dd (gr_complex &wu, gr_complex &decision) const
virtual gr_complex | error_tr (const gr_complex &wu, const gr_complex &d_n) const
virtual gr_complex | update_tap (const gr_complex tap, const gr_complex &in, const gr_complex error, const gr_complex decision)=0
virtual void | update_taps (gr_complex *taps, const gr_complex *in, const gr_complex error, const gr_complex decision, unsigned int num_taps)

## Protected Attributes
const adaptive_algorithm_t | d_algorithm_type
const constellation_sptr | d_constellation

## Constructor & Destructor Documentation

## ◆ ~adaptive_algorithm()

virtual gr::digital::adaptive_algorithm::~adaptive_algorithm | ( |  | ) |
| inlinevirtual

## ◆ adaptive_algorithm()

gr::digital::adaptive_algorithm::adaptive_algorithm | ( | adaptive_algorithm_t | alg_type,
|  | constellation_sptr | cons )
| inline

References d_algorithm_type, and d_constellation.

Referenced by gr::digital::adaptive_algorithm_cma::adaptive_algorithm_cma(), gr::digital::adaptive_algorithm_lms::adaptive_algorithm_lms(), and gr::digital::adaptive_algorithm_nlms::adaptive_algorithm_nlms().

## Member Function Documentation

## ◆ base()

adaptive_algorithm_sptr gr::digital::adaptive_algorithm::base | ( |  | ) |
| inline

## ◆ error_dd()

virtual gr_complex gr::digital::adaptive_algorithm::error_dd | ( | gr_complex & | wu,
|  | gr_complex & | decision ) const
| inlinevirtual

Reimplemented in gr::digital::adaptive_algorithm_cma.

References d_constellation.

## ◆ error_tr()

virtual gr_complex gr::digital::adaptive_algorithm::error_tr | ( | const gr_complex & | wu,
|  | const gr_complex & | d_n ) const
| inlinevirtual

Reimplemented in gr::digital::adaptive_algorithm_cma.

## ◆ initialize_taps()

virtual void gr::digital::adaptive_algorithm::initialize_taps | ( | std::vector< gr_complex > & | taps | ) |
| inlinevirtual

Reimplemented in gr::digital::adaptive_algorithm_lms, and gr::digital::adaptive_algorithm_nlms.

## ◆ update_tap()

virtual gr_complex gr::digital::adaptive_algorithm::update_tap | ( | const gr_complex | tap,
|  | const gr_complex & | in,
|  | const gr_complex | error,
|  | const gr_complex | decision )
| pure virtual

Implemented in gr::digital::adaptive_algorithm_cma, gr::digital::adaptive_algorithm_lms, and gr::digital::adaptive_algorithm_nlms.

Referenced by update_taps().

## ◆ update_taps()

virtual void gr::digital::adaptive_algorithm::update_taps | ( | gr_complex * | taps,
|  | const gr_complex * | in,
|  | const gr_complex | error,
|  | const gr_complex | decision,
|  | unsigned int | num_taps )
| inlinevirtual

Reimplemented in gr::digital::adaptive_algorithm_cma, gr::digital::adaptive_algorithm_lms, and gr::digital::adaptive_algorithm_nlms.

References update_tap().

## Member Data Documentation

## ◆ d_algorithm_type

const adaptive_algorithm_t gr::digital::adaptive_algorithm::d_algorithm_type
| protected

Referenced by adaptive_algorithm().

## ◆ d_constellation

const constellation_sptr gr::digital::adaptive_algorithm::d_constellation
| protected

Referenced by adaptive_algorithm(), and error_dd().

The documentation for this class was generated from the following file:

- adaptive_algorithm.h